import torch
import torch.nn as nn


class Model(nn.Module):
    def __init__(self, mean, std):
        super(Model, self).__init__()
        self.mean = mean
        self.std = std

    def forward(self, x):
        y = (x - self.mean) / self.std
        z = torch.sigmoid(y)

        return z * self.std + self.mean


batch_size = 1024
dim = 1024


def get_inputs():
    x = torch.randn(batch_size, dim) * 5.0 + 10.0
    return [x]


def get_init_inputs():
    return [10.0, 5.0]